dpkg-name(1)

NOM
dpkg-name - redonne aux paquets Debian leur nom complet

SYNOPSIS
dpkg-name [options] [--] fichiers

DESCRIPTION

Cette page de manuel documente le programme dpkg-name qui fournit une façon simple de redonner aux paquets Debian leur nom complet. Ce nom consiste en une chaîne « <paquet>_<version>_<architecture>type_de_paquet> » telle qu'elle est indiquée dans le fichier « control » du paquet. La partie <version> du nom est composée d'informations sur la version originelle qui peuvent ou non être suivies d'un trait d'union et d'informations sur la révision. La partie <type_de_paquet> provient de ce champ s'il existe. La valeur par défault étant deb.

OPTIONS

-a, --no-architecture
    Le nom du fichier n'aura pas l'information sur l'architecture.

-k, --symlink
    Faire un lien symbolique plutôt qu'une création de fichier.

-o, --overwrite
    Remplace des fichiers existants s'ils ont le même nom que le fichier de destination.

-s, --subdir [rep]
    Met les fichiers dans rep. Si le répertoire donné en argument existe, les fichiers sont déplacés dans ce répertoire ; sinon le répertoire cible, extrait du champ « section » que contient la partie de contrôle du paquet, sera « unstable/binary-<architecture>/<section> ». Quand la section est « non-free » ou « contrib », ou bien quand aucune information sur la section n'est trouvée dans le fichier « control », le répertoire cible est « <section>/binary-<architecture> ». Le champ « section » est facultatif ; aussi beaucoup de paquets sont dans la zone « no-section ». Utilisez cette option avec soin : elle est compliquée.

-c, --create-dir
    On peut utiliser cette option avec l'option -s. Quand un répertoire cible n'est pas trouvé, il est créé automatiquement. Utilisez cette option avec soin.

-h, --help
    Affiche un message d'aide puis quitte.

-v, --version
    Affiche le numéro de version puis quitte.

EXEMPLES

dpkg-name bar-foo.deb
    Le nom du fichier « bar-foo.deb » devient « bar-foo_1.0-2_i386.deb » ou quelque chose de similaire suivant les renseignements que contient la partie de contrôle de « bar-foo.deb ».

find /root/debian/ -name '*.deb' | xargs -n 1 dpkg-name -a
    Cette commande redonne leur nom complet à tous les fichiers qui se trouvent dans le répertoire /root/debian et ses sous-répertoires et qui possèdent une extension « deb », mais supprime l'information sur l'architecture.

find -name '*.deb' | xargs -n 1 dpkg-name -a -o -s -c
    Ne faites pas ça ! L'archive sera complètement gâchée par des paquets qui ne possèdent pas d'informations sur la section. Ne faites pas ça !

dpkg --build debian-tmp && dpkg-name -o -s .. debian-tmp.deb
    On peut se servir de cette commande lors de la construction d'un nouveau paquet.

BOGUES
Certains paquets ne respectent pas l'organisation <paquet>_<version>_<architecture>.deb. Les paquets traités par dpkg-name la respecte. Cela n'a pas de conséquence sur la façon dont dselect(1) ou dpkg(1) installe les paquets, mais il se peut que d'autres systèmes d'installation aient besoin de cette organisation.

VOIR AUSSI
deb(5), deb-control(5), dpkg(1), dpkg-deb(1), find(1), xargs(1).

AUTEUR
Copyright © 1995,1996 Erick Branderhorst

Ce programme est un logiciel libre ; voyez la « GNU General Public Licence » version 2 ou supérieure pour le copyright. Il n'y a PAS de garantie.

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.